Index: contrib/ntp/CommitLog
===================================================================
--- contrib/ntp/CommitLog	(版本 314126)
+++ contrib/ntp/CommitLog	(版本 316722)
@@ -17590,17 +17954,14 @@
   ChangeLog@1.1635.3.2 +2 -0
     [Bug 2808] GPSD_JSON driver enhancements, step 1.
      Add a few more tallies as per Hal Murray's suggestions
-    
 
   html/drivers/driver46.html@1.6 +54 -16
     [Bug 2808] GPSD_JSON driver enhancements, step 1.
      Add a few more tallies as per Hal Murray's suggestions
-    
 
   ntpd/refclock_gpsdjson.c@1.18 +39 -18
     [Bug 2808] GPSD_JSON driver enhancements, step 1.
      Add a few more tallies as per Hal Murray's suggestions
-    
 
 ChangeSet@1.3320.2.7, 2015-04-24 09:25:09+00:00, stenn@psp-at1.ntp.org
   [Bug 2776] Improve ntpq's 'help keytype'
@@ -17651,12 +18012,10 @@
   ChangeLog@1.1635.2.1 +3 -0
     [Bug 2745] ntpd -x steps clock on leap second 
       Do leap second stepping only of the step adjustment is beyond the proper jump distance limit and step correction is allowed at all. 
-    
 
   ntpd/ntp_timer.c@1.83 +15 -5
     [Bug 2745] ntpd -x steps clock on leap second 
       Do leap second stepping only of the step adjustment is beyond the proper jump distance limit and step correction is allowed at all. 
-    
 
 ChangeSet@1.3320.2.3, 2015-04-21 09:48:05+00:00, stenn@psp-deb1.ntp.org
   [Bug 2776] Improve ntpq's 'help keytype'
@@ -21297,7 +21656,6 @@
     [Bug 2738] Missing buffer initialisation in parsestate().
     [Bug 2739] Parse driver with PPS enabled occasionaly evaluates PPS timestamp with wrong sign.
     Removed some German umlauts.
-    
 
   ntpd/refclock_parse.c@1.70 +3 -2
     [Bug 2738] Missing buffer initialisation in parsestate().
@@ -32341,12 +32699,10 @@
   ChangeLog@1.1525 +2 -0
     [Bug 2636] Clutter in syslog if gpsd not running
      - found (hopefully) last cause for clutter in protocol version
-    
 
   ntpd/refclock_gpsdjson.c@1.13 +12 -13
     [Bug 2636] Clutter in syslog if gpsd not running
      - found (hopefully) last cause for clutter in protocol version
-    
 
 ChangeSet@1.3187, 2014-08-22 08:58:48+00:00, stenn@deacon.udel.edu
   NTP_4_2_7P464
@@ -47006,7 +47362,6 @@
     [Bug 2570] add signature check when reading leapseconds file
      - define hash validation result definitions
      - provide argument how to handle validation results
-    
 
   ntpd/ntp_util.c@1.106.1.1 +10 -2
     [Bug 2570] add signature check when reading leapseconds file
@@ -47045,7 +47400,6 @@
     [Bug 2570] add signature check when reading leapseconds file
      - define hash validation result definitions
      - provide argument how to handle validation results
-    
 
   ntpd/ntp_util.c@1.107 +2 -2
     [Bug 2570] add signature check when reading leapseconds file
@@ -60698,7 +61052,6 @@
     [Bug 2454] Need way to set file descriptor limit.
     [Bug 2453] Need a way to avoid calling mlockall.
     [Bug 2451] rlimit command is missing from the table of contents in miscopt.html
-    
 
   html/miscopt.html@1.73 +3 -1
     [Bug 2454] Need way to set file descriptor limit.
@@ -78808,7 +79161,6 @@
 
   sntp/libopts/enum.c@1.5 +3 -3
     Bring libopts/enum.c back to ANSI C compliance.
-    
 
 ChangeSet@1.2822.1.9, 2012-10-04 11:41:02+00:00, stenn@deacon.udel.edu
   NTP_4_2_7P309
@@ -84611,7 +84963,6 @@
   ChangeLog@1.1146.1.30 +2 -0
     [Bug 2225] libevent configure hangs.
     Update bundled libevent to git master, post libevent 2.1.1-alpha.
-    
 
 ChangeSet@1.2773.1.36, 2012-06-16 04:51:53+00:00, davehart@dlh-7551.ad.hartbrothers.com
   Linux 2.6.26 and earlier will fail libevent's timerfd_create() call due to
@@ -88274,7 +88625,6 @@
       -Idir flags are needed.
     Avoid overwriting user variable LDFLAGS with OpenSSL flags, instead
       they are added to LDFLAGS_NTP.
-    
 
   ntpd/Makefile.am@1.112.1.3 +4 -2
     Avoid overwriting user variable LDFLAGS with OpenSSL flags, instead
@@ -88309,7 +88659,6 @@
       -Idir flags are needed.
     Avoid overwriting user variable LDFLAGS with OpenSSL flags, instead
       they are added to LDFLAGS_NTP.
-    
 
   sntp/tests/Makefile.am@1.27 +3 -1
     Avoid overwriting user variable LDFLAGS with OpenSSL flags, instead
@@ -90915,7 +91264,6 @@
 
   ntpd/refclock_nmea.c@1.67 +39 -6
     Increase detail in clockstats for NMEA driver (from Hal Murray).
-    
 
 ChangeSet@1.2762.1.10, 2012-02-19 16:30:28+00:00, davehart@dlh-7551.ad.hartbrothers.com
   fix user-mode PPS end of line timestamp, and use wait I/O
@@ -91123,7 +91471,6 @@
     Remove Windows-specific code from indicate_refclock_packet() as it is
       now used only on non-Windows systems.
     process_refclock_packet() is used only on Windows, #ifdef away elsewhere.
-    
 
   ntpd/refclock_parse.c@1.66 +1 -0
     Restore accidentally-removed "parsetime" local variable declaration
@@ -98740,7 +99087,6 @@
   ChangeLog@1.1032.1.27 +2 -0
     [Bug 2029] "make check" clutters syslog.
     Log signal description along with number on ntpd exit.
-    
 
   configure.ac@1.537 +1 -4
     Log signal description along with number on ntpd exit.
@@ -98751,7 +99097,6 @@
   ntpd/ntpd.c@1.129 +26 -47
     [Bug 2029] "make check" clutters syslog.
     Log signal description along with number on ntpd exit.
-    
 
 ChangeSet@1.2673.1.33, 2011-10-10 05:59:08+00:00, stenn@deacon.udel.edu
   NTP_4_2_7P221
@@ -99572,7 +99917,6 @@
     ntp-keygen private key cipher default now triple-key triple DES CBC.
     ntp-keygen on Windows XP and later systems will now create links
       expected by ntpd.  They are hardlinks on Windows, soft on POSIX.
-    
 
   util/ntp-keygen-opts.c@1.219 +68 -38
     [Bug 2019] add -c/--cipher
@@ -99589,7 +99933,6 @@
     Use PEM_write_PKCS8PrivateKey() in place of deprecated predecessor.
       Existing clients going back to at least 2002 can use the new format
       with no changes to deployed code.
-    
 
 ChangeSet@1.2673.3.2, 2011-10-02 18:09:07-04:00, stenn@deacon.udel.edu
   Documentation updates from Dave Mills
@@ -99646,7 +99989,6 @@
       as reporting PPSAPI failure in NMEA and WWVB refclocks.
     Conditionalize NMEA serial open message under clockevent.
     Send all peer variables to trappers in report_event().
-    
 
   include/ntp_syslog.h@1.8 +8 -1
     Provide LOGIF(CLOCKINFO, (LOG_INFO, "msyslog %s", "args"))
@@ -102823,7 +103165,6 @@
     Require Visual C++ 2005 or later compilers in Windows port.
     Force .exe minimum Windows version to 0x0400 to allow NT4 in
       vs2005/*.vcproj files.
-    
 
   include/ntp_machine.h@1.36 +0 -5
     Remove long-untested SYS_CYGWIN32-specific block.
@@ -103134,15 +103475,12 @@
 
   ChangeLog@1.496.26.165 +1 -0
     [Bug 1984] ntp/libisc fails to compile on OS X 10.7 (Lion).
-    
 
   configure.ac@1.465.1.30 +7 -0
     [Bug 1984] ntp/libisc fails to compile on OS X 10.7 (Lion).
-    
 
   sntp/configure.ac@1.31.1.10 +7 -0
     [Bug 1984] ntp/libisc fails to compile on OS X 10.7 (Lion).
-    
 
 ChangeSet@1.2627, 2011-08-05 04:59:41+00:00, stenn@deacon.udel.edu
   NTP_4_2_7P201
@@ -105261,7 +105599,6 @@
     Update libevent to 2.1 HEAD as of merge of 2.0.13-stable-dev.
     Match addr_eqprefix() sizeof and memcpy destination to make it clear
       to static analysis that there is no buffer overrun (CID 402).
-    
 
   ntpd/ntp_io.c@1.358 +2 -4
     Match addr_eqprefix() sizeof and memcpy destination to make it clear
@@ -108187,7 +108524,6 @@
   BitKeeper/etc/ignore@1.77.1.1 +2 -4
     cleanup arlib cruft.
     add sntp/libevent/.git and .gitignore to ease shared bk/git repo for libevent upstream.
-    
 
 ChangeSet@1.2546, 2011-06-04 04:22:32-04:00, stenn@psp-deb1.ntp.org
   Produce ntpq.1 with the new autogen macros
@@ -109279,7 +109615,6 @@
   ChangeLog@1.893.1.1 +2 -0
     parsesolaris.c compile fails on SPARC Solaris with conflicting printf.
     ntp_util.c compile fails on AIX and OSF with conflicting statsdir.
-    
 
   include/ntp_fp.h@1.24 +11 -2
     parsesolaris.c compile fails on SPARC Solaris with conflicting printf.
@@ -109426,7 +109761,6 @@
   ntpdate/ntpdate.c@1.69.2.3 +50 -92
     [Bug 1695] ntpdate takes longer than necessary.
     [Bug 1832] ntpdate doesn't allow timeout > 2s.
-    
 
   ports/winnt/include/config.h@1.79.1.6 +2 -0
     Backport utility routines from ntp-dev: mprintf(), emalloc_zero().
@@ -109786,7 +110120,6 @@
       gcc 2.95.
     Use 64-bit scalars in LFPTOD() and DTOLFP() on more platforms by
       conditionalizing on HAVE_U_INT64 rather than UINT64_MAX.
-    
 
   include/ntp_fp.h@1.23 +12 -8
     Use 64-bit scalars in LFPTOD() and DTOLFP() on more platforms by
@@ -110174,7 +110507,6 @@
   include/ntp.h@1.168.1.6 +9 -9
     [Bug 1924] Billboard tally codes sometimes do not match operation,
       variables.
-    
 
   libntp/mktime.c@1.8.1.1 +2 -2
     leading spaces -> tabs
@@ -110190,7 +110522,6 @@
     [Bug 1923] orphan parent favored over LOCAL, ACTS drivers.
     [Bug 1924] Billboard tally codes sometimes do not match operation,
       variables.
-    
 
   ports/winnt/include/config.h@1.79.1.5 +2 -0
     Use _mkgmtime() for timegm() in Windows ports, resolves crash at startup
@@ -115300,7 +115631,6 @@
       scm-rev to avoid invoking GNU make implicit rules attempting to
       compile version.c into version.  Problem was with sntp/version.o
       during make distcheck after fix for spurious sntp rebuilds.
-    
 
   ports/winnt/vs2008/libntp/libntp.vcproj@1.39 +6 -2
     add gaa_compat.h reference
@@ -115782,7 +116112,6 @@
 
   Makefile.am@1.106 +1 -3
     Enable all relevant automake warnings.
-    
 
   adjtimed/Makefile.am@1.11 +7 -10
     automake deprecates INCLUDES, use AM_CPPFLAGS instead
@@ -115841,7 +116170,6 @@
 
   sntp/Makefile.am@1.56 +15 -17
     Enable all relevant automake warnings.
-    
 
   sntp/configure.ac@1.58 +10 -4
     Pass automake options via AM_INIT_AUTOMAKE so they apply to all Makefile.am
@@ -116324,7 +116652,6 @@
     Split up ntp_libntp.m4 into smaller, more specific subsets.
     Enable gcc -Wcast-align, fix many instances of warnings when casting
       a pointer to a more-strictly-aligned underlying type.
-    
 
   Makefile.am@1.105 +2 -23
     SUBDIRS and DIST_SUBDIRS were identical, remove definition of DIST_SUBDIRS
@@ -116420,7 +116747,6 @@
     Several files comment that ntp_unixtime.h includes sys/time.h and
       time.h, make it so.
     Provide GETTIMEOFDAY() macro on systems with getclock() for sntp.
-    
 
   include/ntp_worker.h@1.2 +120 -10
     Move blocking worker and intres from ntpd to libntp.
@@ -116453,7 +116779,6 @@
   lib/isc/unix/ifiter_ioctl.c@1.30 +2 -2
     lib/isc/unix/ifiter_ioctl.c:456: warning: cast increases required alignment of target type
     lib/isc/unix/ifiter_ioctl.c:669: warning: cast increases required alignment of target type
-    
 
   lib/isc/unix/interfaceiter.c@1.20 +2 -2
     lib/isc/unix/interfaceiter.c:83: warning: cast increases required alignment of target type
@@ -117032,11 +117357,9 @@
 
   sntp/libevent/test/regress_testutils.c@1.2 +2 -0
     libevent upgrade
-    
 
   sntp/libevent/test/test-eof.c@1.2 +9 -3
     Add a timeout for test-eof.c as it may hang under HP-UX 10.20.
-    
 
   sntp/libevent/test/test-ratelim.c@1.2 +5 -0
     cleanup
@@ -117444,7 +117767,6 @@
     Fix leak in ntp_control.c read_mru_list().
     Add missing "break;" to ntp_control.c ctl_putsys() for caliberrs, used
       by ntpq -c kerninfo introduced in 4.2.7p104.
-    
 
   ntpd/ntp_io.c@1.346.1.1 +5 -0
     Do not attempt setsockopt() for unopened -1 descriptors.
@@ -117975,7 +118297,6 @@
     moved useful code to timestructs.{h,cpp};
     closeness of l_fp and timeval values tested by special predicate objects;
     added some roundtrip tests;
-    
 
 ChangeSet@1.2422.1.47, 2011-01-25 19:25:52+00:00, davehart@shiny.ad.hartbrothers.com
   [Bug 1794] ntpq -c rv missing clk_wander information.
@@ -117993,7 +118314,6 @@
   ChangeLog@1.784.1.9 +2 -0
     [Bug 1794] ntpq -c rv missing clk_wander information.
     [Bug 1795] ntpq readvar does not display last variable.
-    
 
   ntpq/ntpq-subs.c@1.83 +12 -11
     nonfunctional cleanup
@@ -118001,7 +118321,6 @@
   ntpq/ntpq.c@1.131 +7 -6
     [Bug 1794] ntpq -c rv missing clk_wander information.
     [Bug 1795] ntpq readvar does not display last variable.
-    
 
 ChangeSet@1.2422.1.46, 2011-01-25 11:16:51+00:00, stenn@deacon.udel.edu
   NTP_4_2_7P124
@@ -118559,7 +118878,6 @@
   sntp/m4/ntp_libntp.m4@1.1.1.1 +53 -0
     Add configure support for SIZEOF_LONG_LONG to enable portable use of
       snprintf() with time_t.
-    
 
 ChangeSet@1.2462, 2011-01-20 03:07:50-05:00, stenn@psp-deb1.ntp.org
   Import libevent
@@ -119987,7 +120305,6 @@
       Share a single set of build-aux scripts (e.g. config.guess, missing).
       Add ntp_libntp.m4 and ntp_ipv6.m4 to reduce configure.ac duplication.
       Warn and exit build/flock-build if bootstrap needs to be run.
-    
 
   Makefile.am@1.104 +10 -40
     move m4 subdir to sntp/m4.
@@ -120128,7 +120445,6 @@
   sntp/m4/ntp_libntp.m4@1.1 +281 -0
     Add configure --without-sntp option to disable building sntp and
       sntp/tests.  withsntp=no in the environment changes the default.
-    
 
   sntp/m4/ntp_libntp.m4@1.0 +0 -0
 
@@ -121319,15 +121635,12 @@
   ChangeLog@1.757 +2 -0
     [Bug 1773] openssl not detected during ./configure.
     [Bug 1774] Segfaults if cryptostats enabled and built without OpenSSL.
-    
 
   m4/ntp_openssl.m4@1.11 +16 -22
     [Bug 1773] openssl not detected during ./configure.
-    
 
   ntpd/ntp_config.c@1.282 +12 -0
     [Bug 1774] Segfaults if cryptostats enabled and built without OpenSSL.
-    
 
   ntpd/ntp_util.c@1.91 +2 -10
     filegen_register() timingstats and cryptostats unconditionally, so we do
@@ -121460,7 +121773,6 @@
       entrypoints to avoid crashing, particularly if refclock_open() fails.
     Enable tickadj-like taming of wildly off-spec Windows clock using
       NTPD_TICKADJ_PPM env. var. specifying baseline slew.
-    
 
   include/ntp_refclock.h@1.28 +1 -2
     Remove refclock_ioctl() declaration, it's private to ntp_refclock.c
@@ -121553,7 +121865,6 @@
   ports/winnt/ntpd/nt_clockstuff.c@1.48 +26 -3
     Enable tickadj-like taming of wildly off-spec Windows clock using
       NTPD_TICKADJ_PPM env. var. specifying baseline slew.
-    
 
   ports/winnt/vs2008/ntpd/ntpd.vcproj@1.37 +13 -25
     Add refclock_fg, refclock_ulink, refclock_zyfer.c references.
@@ -121683,7 +121994,6 @@
     Enable raw tty line discipline in Windows port.
     Allow tty open/close/open to succeed on Windows port.
     Enable ACTS and CHU reference clock drivers on Windows.
-    
 
   include/ntp_machine.h@1.31 +0 -17
     consolidate windows/posix compatibility shims in ntp_types.h
@@ -124097,7 +124407,6 @@
   ChangeLog@1.496.60.2 +2 -1
     [Bug 1760] ntpd Windows interpolation cannot be disabled.
     Upgrade to libopts 34.0.9 from AutoGen 5.11.6pre5.
-    
 
   ports/winnt/ntpd/nt_clockstuff.c@1.38.1.4 +3 -1
     [Bug 1760] ntpd Windows interpolation cannot be disabled.
@@ -124660,7 +124969,6 @@
     * [Bug 1754] --version output should be more verbose.
     * Suppress ntp-keygen OpenSSL version display for --help, --version,
       display both build and runtime OpenSLL versions when they differ.
-    
 
   include/Makefile.am@1.38.1.1 +1 -0
     add ntp_libopts.h
@@ -125189,7 +125497,6 @@
       Use setsockopt(IP[V6]_MULTICAST_IF) before each send to multicast to
       select the local source address, using the correct socket is not
       enough.
-    
 
   include/isc/mem.h@1.4 +9 -8
     use macro-arg-protecting () only where helpful.
@@ -126491,7 +126798,6 @@
 
   sntp/configure.ac@1.31.1.5 +49 -1
     workaround for HP-UX /usr/include/machine/sys/getppdp.h gcc4 break.
-    
 
 ChangeSet@1.2082.40.2, 2010-11-23 09:49:49+00:00, davehart@shiny.ad.hartbrothers.com
   correct m4 quoting to quiet autoreconf warnings
@@ -126692,7 +126998,6 @@
     [Bug 1618] Unreachable code in jjy_start().
     JJY driver improvements for Tristate JJY01/02, including changes
       to its clockstats format.
-    
 
 ChangeSet@1.2082.4.171, 2010-11-21 23:03:15+00:00, davehart@shiny.ad.hartbrothers.com
   [Bug 1618] jjy_start() unreachable code.
@@ -128794,7 +129099,6 @@
   ChangeLog@1.639 +2 -0
     [Bug 1697] filegen implementation should be improved.
     Refactor calendar functions in terms of new common code.
-    
 
   configure.ac@1.494 +4 -3
     Add sizeof(short) test since we now depend on SIZEOF_SHORT
@@ -131661,19 +131965,15 @@
 
 ChangeSet@1.2082.4.113, 2010-10-14 09:38:42+00:00, davehart@shiny.ad.hartbrothers.com
   ntpsnmpd, libntpq warning cleanup.
-  
 
   ChangeLog@1.496.26.84 +5 -1
     ntpsnmpd, libntpq warning cleanup.
-    
 
   ntpq/libntpq.c@1.3.1.2 +1 -1
     ntpsnmpd, libntpq warning cleanup.
-    
 
   ntpsnmpd/ntpsnmpd.c@1.3.1.3 +1 -2
     ntpsnmpd, libntpq warning cleanup.
-    
 
 ChangeSet@1.2082.4.112, 2010-10-14 07:51:07+00:00, stenn@deacon.udel.edu
   NTP_4_2_6P3_RC3
@@ -132108,45 +132408,36 @@
 ChangeSet@1.2082.26.3, 2010-10-09 10:10:10+00:00, davehart@shiny.ad.hartbrothers.com
   [Bug 1567] Support Arbiter 1093C Satellite Clock on Windows.
   [Bug 1659] Support Truetime Satellite Clocks on Windows.
-  
 
   ChangeLog@1.496.49.2 +4 -2
     [Bug 1567] Support Arbiter 1093C Satellite Clock on Windows.
     [Bug 1659] Support Truetime Satellite Clocks on Windows.
-    
 
   ntpd/refclock_arbiter.c@1.16 +34 -9
     [Bug 1567] Support Arbiter 1093C Satellite Clock on Windows.
-    
 
   ntpd/refclock_true.c@1.11.1.2 +15 -0
     [Bug 1659] Support Truetime Satellite Clocks on Windows.
-    
 
   ports/winnt/include/config.h@1.79.1.2 +2 -0
     [Bug 1567] Support Arbiter 1093C Satellite Clock on Windows.
     [Bug 1659] Support Truetime Satellite Clocks on Windows.
-    
 
   ports/winnt/vc6/ntpd.dsp@1.39.1.3 +0 -2
     [Bug 1567] Support Arbiter 1093C Satellite Clock on Windows.
     [Bug 1659] Support Truetime Satellite Clocks on Windows.
-    
 
   ports/winnt/vs2003/ntpd.vcproj@1.4.1.1 +4 -8
     [Bug 1567] Support Arbiter 1093C Satellite Clock on Windows.
     [Bug 1659] Support Truetime Satellite Clocks on Windows.
-    
 
   ports/winnt/vs2005/ntpd.vcproj@1.4.1.1 +0 -4
     [Bug 1567] Support Arbiter 1093C Satellite Clock on Windows.
     [Bug 1659] Support Truetime Satellite Clocks on Windows.
-    
 
   ports/winnt/vs2008/ntpd/ntpd.vcproj@1.21.1.2 +0 -4
     [Bug 1567] Support Arbiter 1093C Satellite Clock on Windows.
     [Bug 1659] Support Truetime Satellite Clocks on Windows.
-    
 
 ChangeSet@1.2156.1.80, 2010-10-06 10:09:59+00:00, stenn@deacon.udel.edu
   NTP_4_2_7P61
@@ -133687,35 +133978,28 @@
 
 ChangeSet@1.2082.22.7, 2010-09-17 04:20:03+00:00, davehart@shiny.ad.hartbrothers.com
   [Bug 1344] ntpd on Windows exits without logging cause.
-  
 
   ChangeLog@1.496.47.5 +4 -0
     [Bug 1344] ntpd on Windows exits without logging cause.
-    
 
   ports/winnt/ntpd/nt_clockstuff.c@1.38.1.3 +4 -2
     [Bug 1344] ntpd on Windows exits without logging cause.
-    
 
 ChangeSet@1.2156.1.32, 2010-09-16 19:32:11+00:00, davehart@shiny.ad.hartbrothers.com
   [Bug 1629] 4.2.7p50 configure.ac changes invalidate config.cache.
   [Bug 1630] 4.2.7p50 cannot bootstrap on Autoconf 2.61.
-  
 
   ChangeLog@1.622.1.1 +2 -0
     [Bug 1629] 4.2.7p50 configure.ac changes invalidate config.cache.
     [Bug 1630] 4.2.7p50 cannot bootstrap on Autoconf 2.61.
-    
 
   configure.ac@1.483.1.7 +34 -36
     [Bug 1629] 4.2.7p50 configure.ac changes invalidate config.cache.
     [Bug 1630] 4.2.7p50 cannot bootstrap on Autoconf 2.61.
-    
 
   sntp/configure.ac@1.36 +27 -13
     [Bug 1629] 4.2.7p50 configure.ac changes invalidate config.cache.
     [Bug 1630] 4.2.7p50 cannot bootstrap on Autoconf 2.61.
-    
 
 ChangeSet@1.2156.1.31, 2010-09-16 06:21:34+00:00, stenn@deacon.udel.edu
   NTP_4_2_7P50
@@ -137577,15 +137861,12 @@
 
 ChangeSet@1.2082.4.95, 2010-05-31 18:59:05+00:00, davehart@shiny.ad.hartbrothers.com
   [Bug 1565] sntp/crypto.c compile fails on MacOS over vsnprintf().
-  
 
   ChangeLog@1.496.26.69 +1 -0
     [Bug 1565] sntp/crypto.c compile fails on MacOS over vsnprintf().
-    
 
   sntp/configure.ac@1.31.1.2 +1 -1
     [Bug 1565] sntp/crypto.c compile fails on MacOS over vsnprintf().
-    
 
 ChangeSet@1.2144.1.3, 2010-05-28 15:31:29+02:00, linus@beam.(none)
   Tuned makefile.am
@@ -137883,15 +138164,12 @@
 
 ChangeSet@1.2082.4.92, 2010-05-13 15:39:47+00:00, davehart@shiny.ad.hartbrothers.com
   * [Bug 1555] 4.2.6p2-RC3 sntp illegal C (mixed code and declarations).
-  
 
   ChangeLog@1.496.26.66 +4 -0
     * [Bug 1555] 4.2.6p2-RC3 sntp illegal C (mixed code and declarations).
-    
 
   sntp/networking.c@1.29.1.6 +5 -3
     * [Bug 1555] 4.2.6p2-RC3 sntp illegal C (mixed code and declarations).
-    
 
 ChangeSet@1.2137, 2010-05-11 10:10:19+00:00, stenn@deacon.udel.edu
   NTP_4_2_7P31
@@ -138251,7 +138529,6 @@
       like it and the indentation looks correct.  This was not a big change.
       The files were mostly consistent before.
       12. Eliminated LOTS of blank lines.
-    
 
   sntp/crypto.h@1.8 +12 -6
     [Bug 1459] sntp MD5 authentication does not work with ntpd.
@@ -138283,7 +138560,6 @@
       like it and the indentation looks correct.  This was not a big change.
       The files were mostly consistent before.
       12. Eliminated LOTS of blank lines.
-    
 
   sntp/main.c@1.24.1.1 +110 -103
     [Bug 1459] sntp MD5 authentication does not work with ntpd.
@@ -138315,7 +138591,6 @@
       like it and the indentation looks correct.  This was not a big change.
       The files were mostly consistent before.
       12. Eliminated LOTS of blank lines.
-    
 
   sntp/networking.c@1.29.1.4 +216 -432
     [Bug 1325] unreachable code in sntp recv_bcst_data().
@@ -138348,7 +138623,6 @@
       like it and the indentation looks correct.  This was not a big change.
       The files were mostly consistent before.
       12. Eliminated LOTS of blank lines.
-    
 
   sntp/networking.h@1.18 +3 -3
     [Bug 1459] sntp MD5 authentication does not work with ntpd.
@@ -138380,7 +138654,6 @@
       like it and the indentation looks correct.  This was not a big change.
       The files were mostly consistent before.
       12. Eliminated LOTS of blank lines.
-    
 
 ChangeSet@1.2133, 2010-05-06 10:09:32+00:00, stenn@deacon.udel.edu
   NTP_4_2_7P30
@@ -139257,7 +139530,6 @@
 ChangeSet@1.2082.4.71, 2010-04-14 21:16:25+00:00, davehart@shiny.ad.hartbrothers.com
   [Bug 1518] Windows ntpd should lock to one processor more
     conservatively.
-  
 
   ChangeLog@1.496.44.1 +5 -0
     [Bug 1518] Windows ntpd should lock to one processor more
@@ -139280,7 +139552,6 @@
   html/authopt.html@1.60 +29 -7
     Update html/authopt.html controlkey, requestkey, and trustedkey docs,
       add range syntax to trustedkey docs.
-    
 
 ChangeSet@1.2082.18.3, 2010-04-14 04:44:52+00:00, davehart@shiny.ad.hartbrothers.com
   [Bug 1503] Auto-enabling of monitor for "restrict ... limited" wrong.
@@ -139456,7 +139727,6 @@
       miscopt.html, and miscopt.txt.
     Modify full MRU list preemption when full to match "discard monitor"
       documentation, by removing exception for count == 1.
-    
 
   html/accopt.html@1.34 +19 -12
     clarify "discard monitor".
@@ -140508,7 +140778,6 @@
     within the "restrict ... limited" default limit set by
     "discard minimum 1", plus 1s of enforcement slop.
   Respect KoD rate-limiting responses from ntpd.
-  
 
   ntpdate/ntpdate.c@1.73 +39 -11
     rate limit ntpdate packets to 2s interval per server to stay
@@ -140515,7 +140784,6 @@
       within the "restrict ... limited" default limit set by
       "discard minimum 1", plus 1s of enforcement slop.
     Respect KoD rate-limiting responses from ntpd.
-    
 
   ntpdate/ntpdate.h@1.11 +2 -1
     rate limit ntpdate packets to 2s interval per server to stay
@@ -140643,7 +140911,6 @@
   ntpq/ntpq.c@1.105 +100 -51
     bump MAXFRAGS from 24 to 64 to enable larger responses.
     add show_error_msg(), doqueryex() for mrulist().
-    
 
   ntpq/ntpq.h@1.12 +11 -2
     add show_error_msg(), doqueryex() for mrulist().
@@ -141112,21 +141379,17 @@
     Note that we default to an initial OFF state, since this seems most
     reasonable till the driver gets to the RUN state.  Once in the RUN
     state, we determine if we should turn the PPS signal on/off each cycle.
-    
 
   ntpd/refclock_oncore.c@1.85 +2 -2
     Just an indent and change a LOG_INFO -> LOG_DEBUG to reduce default output.
-    
 
   ntpd/refclock_oncore.c@1.84 +3 -11
     Cleaner solution to flipping FLAG_PPS on/off in oncore_get_timestamp.
-    
 
   ntpd/refclock_oncore.c@1.83 +12 -12
     The source for the oncore driver uses tabs wherever possible to
     replace strings of blanks.  Replace blanks with tabs from a
     previous patch that did not adhere to this strategy.
-    
 
 ChangeSet@1.2110.1.4, 2010-02-24 06:25:27+00:00, davehart@shiny.ad.hartbrothers.com
   new peer variable "srchost" shown instead of 0.0.0.0 srcadr in
@@ -141259,7 +141522,6 @@
     add MDF_POOL, rename MDF_ACLNT -> MDF_UCLNT to cover both
       manycastclient and pool ephemeral associations.
     add MDF_SOLICIT_MASK (MDF_ACAST | MDF_POOL).
-    
 
   include/ntp_config.h@1.66.1.4 +2 -2
     change address_node->type (family) type from short to u_short.
@@ -141362,7 +141624,6 @@
     Remove more workarounds unneeded since we require ISO C90 AKA ANSI C:
       - remove fallback implementations for memmove(), memset, strstr().
       - do not test for memcpy().
-    
 
   flock-build@1.44.1.1 +26 -21
     fix bug with SIMUL=2 flock-build -1
@@ -141384,7 +141645,6 @@
     Combine IPv4 and IPv6 restrict list entry structures into one
       variable-size structure with a union at the end of V4 and v6
       addresses, enabling removal of duplicated code.
-    
 
   include/ntp_config.h@1.66.1.3 +19 -18
     add uint u to attr_val.value union.
@@ -141492,7 +141752,6 @@
       mon_entry.rmtadr.
     no point in memset(p, 0, size); then memcpy(p, src, size);.
     combine mon_entry.version and mon_entry.mode into mon_entry.vn_mode.
-    
 
   ntpd/ntp_peer.c@1.128 +184 -224
     maintain and use linked list of associations (struct peer) in ntpd,
@@ -141544,7 +141803,6 @@
   ntpd/ntp_timer.c@1.58 +23 -28
     maintain and use linked list of associations (struct peer) in ntpd,
       avoiding walking 128 hash table entries to iterate over peers.
-    
 
   ntpd/ntp_util.c@1.77 +3 -0
     #include <unistd.h> for getpid().
@@ -141611,7 +141869,6 @@
   Correct CHU, dumbclock, and WWVB drivers to check for 0 returned from
     refclock_open() on failure.
   Correct "SIMUL=4 ./flock-build -1" to prioritize -1/--one.
-  
 
   ChangeLog@1.496.26.44 +9 -0
     [Bug 1464] synchronization source wrong for refclocks ARCRON_MSF (27)
@@ -141620,7 +141877,6 @@
     Correct CHU, dumbclock, and WWVB drivers to check for 0 returned from
       refclock_open() on failure.
     Correct "SIMUL=4 ./flock-build -1" to prioritize -1/--one.
-    
 
   flock-build@1.45 +26 -21
     Correct "SIMUL=4 ./flock-build -1" to prioritize -1/--one.
@@ -141743,13 +141999,11 @@
   [Bug 1483] hostname in ntp.conf "restrict" parameter rejected.
   Use all addresses for each restrict by hostname.
   Use async DNS to resolve trap directive hostnames.
-  
 
   ChangeLog@1.533.2.1 +3 -0
     [Bug 1483] hostname in ntp.conf "restrict" parameter rejected.
     Use all addresses for each restrict by hostname.
     Use async DNS to resolve trap directive hostnames.
-    
 
   include/ntp_config.h@1.66.1.2 +13 -2
     add settrap_params structure for trap_name_resolved()
@@ -142622,7 +142876,6 @@
   ntpd/refclock_bancomm.c@1.12 +28 -21
     Convert many sprintf() calls to snprintf(), also strcpy(), strcat().
     Fix widely cut-n-pasted bug in refclock shutdown after failed start.
-    
 
   ntpd/refclock_chronolog.c@1.9 +10 -10
     Convert many sprintf() calls to snprintf(), also strcpy(), strcat().
@@ -143285,7 +143538,6 @@
     after fork() with a different curdir.
   eliminate hand-crafted byte-swapping code from refclock_palisade.c in
     preference to using htonl(), htons().  Tested by Fernando Hauscarriaga.
-  
 
   BitKeeper/etc/ignore@1.75 +4 -2
     add *.vcproj.*.user
@@ -147250,7 +147502,6 @@
   
   sntp/depsver.mf is 'generated' (copied) from top-level depsver.mf
     by bootstrap script
-  
 
   BitKeeper/deleted/.del-depsver.mf~797b9b4e1db319be@1.2 +0 -0
     Delete: sntp/depsver.mf
@@ -147355,7 +147606,6 @@
   [Bug 1389] buffer overflow in refclock_oncore.c
   [Bug 1391] .texi usage text from installed, not built binaries.
   Correct *-opts.h dependency so default 'get' action isn't used.
-  
 
   ChangeLog@1.496.1.56 +4 -0
     [Bug 1387] Storage leak in ntp_intres (minor).
@@ -147362,7 +147612,6 @@
     [Bug 1389] buffer overflow in refclock_oncore.c
     [Bug 1391] .texi usage text from installed, not built binaries.
     Correct *-opts.h dependency so default 'get' action isn't used.
-    
 
   configure.ac@1.459.1.14 +3 -4
     [Bug 1391] .texi usage text from installed, not built binaries.
@@ -147513,7 +147762,6 @@
     * [Bug 1142] nodebug builds shed no light on -d, -D option failure.
     * [Bug 1179] point out the problem with -i/--jaildir and -u/--user when
       they are disabled by configure.
-    
 
   ntpd/cmd_args.c@1.56 +9 -41
     [Bug 1142] nodebug builds shed no light on -d, -D option failure.
@@ -148915,7 +149163,6 @@
   ChangeLog@1.496.10.1 +2 -0
     [Bug 1366] ioctl(TIOCSCTTY, 0) fails on NetBSD *[0-2].* > 3.99.7.
     CID 87 dead code in ntpq.c atoascii().
-    
 
   configure.ac@1.459.2.3 +44 -26
     [Bug 1366] ioctl(TIOCSCTTY, 0) fails on NetBSD *[0-2].* > 3.99.7.
@@ -149143,7 +149390,6 @@
   remove testing leftover #undef OPENSSL
   warning cleanup
   linking with libntp now requires -lcrypto / libeay32.lib
-  
 
   include/ntp_stdlib.h@1.37 +8 -0
     #define NID_md5 when not building with OpenSSL
@@ -149889,7 +150135,6 @@
     protect netinet/in.h inclusion with #ifdef HAVE_NETINET_IN_H.
     stay within array bounds in clockstat() even if calling code
       misbehaves.
-    
 
   ports/winnt/vc6/libntp.dsp@1.43.2.1 +1 -1
     move lib_strbuf.h from libntp to include
@@ -152253,7 +152498,6 @@
   Compiling ntp_parser.y using BSD make correctly places ntp_parser.h
     in the top-level ntpd directory instead of A.*/ntpd.
   bootstrap script updated to remove potentially stale .deps dirs.
-  
 
   ChangeLog@1.449.1.2 +6 -0
     Updated build and flock-build scripts.  flock-build --one is a way
@@ -152262,7 +152506,6 @@
     Compiling ntp_parser.y using BSD make correctly places ntp_parser.h
       in the top-level ntpd directory instead of A.*/ntpd.
     bootstrap script updated to remove potentially stale .deps dirs.
-    
 
   bootstrap@1.24 +8 -0
     remove .deps directories to handle source code shuffles
@@ -154265,7 +154508,6 @@
     add implicit "nic ignore all" rule before any rules from ntp.conf, so
       "nic listen eth0" alone means the same as "-I eth0".
     add wildcard match class for interface/nic rules.
-    
 
   ntpd/ntp_parser.c@1.49 +595 -595
     Bison product
@@ -155523,12 +155765,10 @@
       when making ntp_parser.[ch].  There is no need to commit
       or distribute ntp_parser.output, it is only useful when
       testing ntp_parser.y changes.
-    
 
   ntpd/ntp_config.c@1.211 +11 -10
     enable yydebug verbose parser output with -D5 and higher
     [Bug 1295] config_trap() bug introduced with dumper in 4.2.5p203
-    
 
   ntpd/ntp_control.c@1.120 +2 -1
     truncate saveconfig output file at open so remnants of longer file
